import request from '@/config/axios'

// PMS 组织部门与SAP工厂/成本中心 对应关系 VO
export interface DeptSapOrgVO {
  id: number // id
  deptId: number // 组织部门id
  sapOrgId: number // SAP组织id(工厂/成本中心)
}

// PMS 组织部门与SAP工厂/成本中心 对应关系 API
export const DeptSapOrgApi = {
  // 查询PMS 组织部门与SAP工厂/成本中心 对应关系分页
  getDeptSapOrgPage: async (params: any) => {
    return await request.get({ url: `/system/dept-sap-org/page`, params })
  },

  // 查询PMS 组织部门与SAP工厂/成本中心 对应关系详情
  getDeptSapOrg: async (id: number) => {
    return await request.get({ url: `/system/dept-sap-org/get?id=` + id })
  },

  // 新增PMS 组织部门与SAP工厂/成本中心 对应关系
  createDeptSapOrg: async (data: DeptSapOrgVO) => {
    return await request.post({ url: `/system/dept-sap-org/create`, data })
  },

  // 修改PMS 组织部门与SAP工厂/成本中心 对应关系
  updateDeptSapOrg: async (data: DeptSapOrgVO) => {
    return await request.put({ url: `/system/dept-sap-org/update`, data })
  },

  // 删除PMS 组织部门与SAP工厂/成本中心 对应关系
  deleteDeptSapOrg: async (id: number) => {
    return await request.delete({ url: `/system/dept-sap-org/delete?id=` + id })
  },

  // 导出PMS 组织部门与SAP工厂/成本中心 对应关系 Excel
  exportDeptSapOrg: async (params) => {
    return await request.download({ url: `/system/dept-sap-org/export-excel`, params })
  },
}
